statusPages.listComponents | GET /v1/projects/{project_id}/status-pages/{status_page_id}/components | List page components. |
statusPages.createComponent | POST /v1/projects/{project_id}/status-pages/{status_page_id}/components | Create monitor, static, or group components. |
statusPages.updateComponent | PATCH /v1/projects/{project_id}/status-pages/{status_page_id}/components/{component_id} | Update a component or move it into/out of a group. |
statusPages.deleteComponent | DELETE /v1/projects/{project_id}/status-pages/{status_page_id}/components/{component_id} | Delete a component without deleting linked monitors. |
statusPages.linkMonitor | POST /v1/projects/{project_id}/status-pages/{status_page_id}/components/{component_id}/link-monitor | Link a monitor by id or name. |
statusPages.unlinkMonitor | POST /v1/projects/{project_id}/status-pages/{status_page_id}/components/{component_id}/unlink-monitor | Clear a direct monitor link by id or name. |